Package org.mariadb.jdbc.client.util

## Class SchedulerProvider

- java.lang.Object
- - org.mariadb.jdbc.client.util.SchedulerProvider

    public final class SchedulerProvider
    extends Object

### Constructor Summary

Constructors
`SchedulerProvider()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ScheduledThreadPoolExecutor` `getTimeoutScheduler​(ClosableLock lock)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchedulerProvider

    public SchedulerProvider()

### Method Detail

#### getTimeoutScheduler

    public static ScheduledThreadPoolExecutor getTimeoutScheduler​(ClosableLock lock)